{{#unless @hideViewFeatures}}
  <Link
    @to={{this.mapLink}}
    @space={{this.space.currentSpace}}
    class="btn-map-features {{if @isSmall 'btn btn-link' 'dropdown-item dropdown-item-view-features text-start'}}"
    target={{this.linkTarget}}
  >
    <FaIcon @icon="th" />
    {{#unless @isSmall}}
      {{capitalize (t "view features")}}
    {{/unless}}
  </Link>
{{/unless}}

{{#if @record.canEdit}}
  <LinkTo
    @route="manage.maps.edit"
    target={{this.linkTarget}}
    @model={{@record.id}}
    @query={{hash embed=null}}
    class="btn-edit-map {{if @isSmall 'btn btn-link' 'dropdown-item dropdown-item-edit text-start'}}"
  >
    <FaIcon @icon="pencil-alt" />
    {{#unless @isSmall}}
      {{capitalize (t "edit the map")}}
    {{/unless}}
  </LinkTo>

  <LinkTo
    @route="manage.maps.import"
    target={{this.linkTarget}}
    @model={{@record.id}}
    @query={{hash embed=null}}
    class="btn-import-map {{if @isSmall 'btn btn-link' 'dropdown-item dropdown-item-file-import text-start'}}"
  >
    <FaIcon @icon="file-import" />
    {{#unless @isSmall}}
      {{capitalize (t "map files")}}
    {{/unless}}
  </LinkTo>

  <LinkTo
    @route="sheet.map"
    target={{this.linkTarget}}
    @model={{@record.id}}
    @query={{hash embed=null}}
    class="btn-map-sheet {{if @isSmall 'btn btn-link' 'dropdown-item dropdown-item-map-sheet text-start'}}"
  >
    <FaIcon @icon="table" />
    {{#unless @isSmall}}
      {{capitalize (t "map sheet")}}
    {{/unless}}
  </LinkTo>
{{/if}}